View Issue Details

IDProjectCategoryView StatusLast Update
0013182MediaMonkey 4Synchronizationpublic2016-05-21 00:21
Reporterpeke Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Target Version4.1.12Fixed in Version4.1.12 
Summary0013182: Sync: Windows 10 Phones do not sync Playlists
DescriptionThere is possible MTP issue when MMW sync to Windows 10 Phones like Nokia 950 XL

When syncing Playlists and tracks contained in the playlists. MMW Sync M3U as PLA even Device clearly shows M3U supported.

resulting Playlists are always 0bytes and empty.

In device profile PLA was disabled and M3U was selected as destination Playlist format, Relative path is also relected along with UTF-8 Encoding
Additional InformationIMG-416-78728
TagsNo tags attached.
Fixed in build1786

Relationships

related to 0009216 closedLudek User should be able to check what type of playlist synced to device 

Activities

Ludek

2016-03-21 14:07

developer   ~0044299

Last edited: 2016-03-21 14:35

Based on the log from IMG-416-78728 the device reports (via WMDM) that it supports only PLA playlists. Note that PLA are always 0 bytes as they are "virtual" playlists written over MTP/WMDM.

Nevertheless once M3U is added to the supported formats manually and set as playlist format then it should be copied as M3U without issues.

Asking more via the ticket...

peke

2016-03-21 18:26

developer   ~0044300

Last edited: 2016-03-21 18:28

No unfortunately, I disabled all other formats except M3U and forced M3U and even then PLA is synced. Only way to have populated playlists is to manually copy M3Us.

That log also contained Playlist Set as M3U and clearly show PLA is synched. I can get you MMDS file with settings if needed.

Ludek

2016-03-21 18:58

developer   ~0044302

ok, some questions:

1) Are the PLA playlists visible by the device and browseable/playable OK ?
2) How Windows Media Player sync the playlists? As M3U or PLA ?
3) Because the device doesn't report M3U as supported then you need to set it manually, go to
Device -> Options -> Playlists -> click the [Set formats...] button and check M3U checkbox, select M3U in the 'Playlist format' dropdown and click [Apply] button !! Maybe you did not click the [Apply] ?

Re your workaround: this should be default for the M3U settings:
[ ] Force relative path -- disabled, so that it is like '/Music/..' and not '../Music/'
[ ] Use extended M3U -- disabled, so that EXTM3U lines are missing

4) In the ticket IMG-416-78728 there is only log from 10th on March (DESKTOP-9OUE1MS.LOG) generated by the user where only PLA playlist was synced. So please upload debug log when syncing the playlist as M3U (according to settings in item 3).

peke

2016-03-21 21:29

developer   ~0044305

Last edited: 2016-03-22 09:11

Answers
1. No they are empty, After Sync MMW show them Normally but after reconnect they are empty
2. PLA
3. Following steps I clicked Apply, Restarted MMW adn Open properties again.
3a. Second try to force M3U In Conversion settings I Added M3U as Supported Format and Disabled PLA. There was no change PLA was always synced

Workaround:
Tried both suggested settings and there was no change PLA was always synced.

ONLY way to sync files is to:
1. Copy All for sync to some folder on Local HDD
2. Load Copied Files to Now Playing
3. Export M3U
4. Remove all extended M3U Lines "[ ] Use extended M3U -- disabled" Using Notepad++
5. Correct Path so that it comply with "[ ] Force relative path -- disabled" Using Notepad++
6. Manually copy Local Folder to Device
7. Load Groove on device and Tracks and Playlists are populated and playing

Ludek

2016-03-22 16:44

developer   ~0044307

Last edited: 2016-03-22 16:45

1) Where they are empty? Only in MMW after reconnect or also when browsing the device?

4) Do you have the debug log (with the settings in item 3) ?

peke

2016-03-22 18:49

developer   ~0044309

1. On reconnect on both Device and MMW, till reconnect Empty on Device and MMW show them correctly.

4. There is no LOG as Except Steps 1-3 MMW is not used to copy and Sync Files I Use things manually to simulate MMW steps in order to determine which process works correctly. I do not regular MTP Sync But Windows explorer Copy/Paste thru MTP.

If you meant 3a. instead 4. than log from IMG-416-78728 have forced only M3U as supported playlist format and selected playlist.

Ludek

2016-03-23 09:03

developer   ~0044314

Last edited: 2016-03-23 09:10

4) I mean log when Playlist Format dropdown was set to [M3U^], the log from IMG-416-78728 is from 10th on March so it was before the remote session and I suppose that it was with PLA playlists selected?

2) The other question is why the PLA synced by MM were empty (according to the log from 10th on March they were synced correctly), I suppose that PLA synced by WMP was OK, can you confirm??
Also, the user originally indicated that the PLA playlist synced by MM were not "empty", but "incomplete". This would rather imply that only some of them are synced OK ?

peke

2016-03-23 13:14

developer   ~0044316

Last edited: 2016-03-23 13:17

I attached Screen Shots at the time Log was created and left as current settings. Strange is that Log shows PLA even M3U is clearly set.

After sync if I use Tree to navigate to playlists they are populated until device is reconnected and then playlists are empty.

WMP can't sync FLAC.

peke

2016-03-23 13:14

developer  

Playlist_Sync_Settings.jpg (91,305 bytes)   
Playlist_Sync_Settings.jpg (91,305 bytes)   

peke

2016-03-23 13:15

developer  

Convert_Supported_Settings.jpg (99,531 bytes)   
Convert_Supported_Settings.jpg (99,531 bytes)   

Ludek

2016-03-23 16:31

developer   ~0044318

Last edited: 2016-04-01 21:39

Finally found what could cause that the PLA was synced instead of M3U (even if M3U was manually configured). This happens for devices that reports M3U as unsupported via WMDM (like this one)

=> Fixed in 1786
(now PLA can be changed to M3U or whatever format even if the device erroneously reports its as unsupported)

Test note: need to be re-configured in the Playlist Format dropdown (i.e. changed from/to M3U again and pressing [Apply] button).

The question that remains is why the device reports M3U as unsupported and why PLA synced by MMW isn't shown correctly while the WMP's is.

Ludek

2016-03-23 16:57

developer   ~0044319

Last edited: 2016-03-23 17:00

Peke indicated that the failed PLA sync is most probably related to FLAC (the device reports FLAC as unsupported although it is silently supported), MP3 files were shown correctly thus user indicated partial "incomplete" playlists.

peke

2016-05-21 00:21

developer   ~0044685

Verified 1795 No regressions found